Get One Shipment
curl --request GET \
--url https://api.upwell.com/api/rest/shipments/{id}import requests
url = "https://api.upwell.com/api/rest/shipments/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.upwell.com/api/rest/shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipment": {
"billOfLadingNumber": "<string>",
"billedDate": "2023-12-25",
"carrierId": "<string>",
"carrierProNumber": "<string>",
"carrierTotalRate": 123,
"company": {
"dunsNumber": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"primaryEmailAddress": "<string>",
"primaryPhone": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"termsOfService": "<string>",
"website": "<string>"
},
"companyId": "<string>",
"consigneeAddress": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"coveredDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"customerPoNumber": "<string>",
"customerReferenceNumber": "<string>",
"customerTotalRate": 123,
"deliveredAt": "<unknown>",
"dispatchedDate": "2023-12-25",
"dispatcherEmail": "<string>",
"dispatcherName": "<string>",
"dispatcherPhone": "<string>",
"equipment": "<string>",
"id": "<string>",
"invoiceId": "<string>",
"loadDescription": "<string>",
"loadedDate": "2023-12-25",
"pickupAddress": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"pickupAt": "<unknown>",
"releaseDate": "2023-12-25",
"serviceLevel": "<string>",
"shipmentId": "<string>",
"shipmentInvoices": [
{
"invoice": {
"id": "<string>",
"number": "<string>"
},
"invoiceId": "<string>",
"shipmentId": "<string>"
}
],
"shipmentLineItems": [
{
"commodityDescription": "<string>",
"createdAt": "<unknown>",
"deliveryLocationName": "<string>",
"dimensionUnit": "<string>",
"freightClass": "<string>",
"handlingUnit": "<string>",
"handlingUnitQty": "<unknown>",
"hazmatFlag": true,
"height": "<unknown>",
"id": "<string>",
"length": "<unknown>",
"lineNumber": 123,
"nmfcClass": "<string>",
"nmfcNumber": "<string>",
"packageQty": "<unknown>",
"packageUnit": "<string>",
"pickupLocationName": "<string>",
"referenceNumber": "<string>",
"shipmentId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"updatedAt": "<unknown>",
"weight": "<unknown>",
"weightUnit": "<string>",
"width": "<unknown>"
}
],
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"status": "<string>",
"stops": [
{
"address": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"id": "<string>",
"metadata": "<string>",
"pieceCount": 123,
"sequenceNumber": 123,
"stopType": "<string>",
"weightAmount": "<unknown>",
"weightUnit": "<string>"
}
],
"terminal": "<string>",
"trailerNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"volume": "<unknown>",
"volumeUnit": "<string>",
"weight": "<unknown>",
"weightUnit": "<string>"
}
}Shipments
Get One Shipment
Get a shipment by ID
GET
/
api
/
rest
/
shipments
/
{id}
Get One Shipment
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Response
200 - application/json
Responses for GET /api/rest/shipments/{id}
columns and relationships of "shipments"
Show child attributes
Show child attributes
āI

